org.apache.fop.render.rtf.rtflib.rtfdoc

## Class RtfFontManager

- java.lang.Object
- - org.apache.fop.render.rtf.rtflib.rtfdoc.RtfFontManager

    public final class RtfFontManager
    extends Object

RTF font table.

This work was authored by Andreas Putz (a.putz@skynamics.com).

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getFontNumber(String family)` Gets the number of font in the font table
`static RtfFontManager` `getInstance()` Singelton.
`void` `writeFonts(org.apache.fop.render.rtf.rtflib.rtfdoc.RtfHeader header)` Writes the font table in the header.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static RtfFontManager getInstance()

Singelton.

Returns:
  The instance of RtfFontManager

#### getFontNumber

    public int getFontNumber(String family)

Gets the number of font in the font table

Parameters:
  `family` - Font family name ('Helvetica')
Returns:
  The number of the font in the table

#### writeFonts

    public void writeFonts(org.apache.fop.render.rtf.rtflib.rtfdoc.RtfHeader header)
                    throws IOException

Writes the font table in the header.

Parameters:
  `header` - The header container to write in
Throws:
  `IOException` - On error